<template>
    <li>
        <span :style="'color:' + item.color ">&#x25A0;</span>
        champ {{ item.name }} - {{ item.comment }}<br>
        <q-btn
        @click="$emit('edit')"
        label="Editer le champ"
        type="button"
        color="primary"
        icon="edit"
        /> <q-btn
        @click="$emit('preview')"
        label="Editer les données journalières"
        type="button"
        color="primary"
        icon="visibility"
        />
    </li>
</template>
<script>
export default {
  props: {
    item: {
      type: Object,
      required: true,
    },
  },
};
</script>
